# Backing up your Installation

LineageOS uses a builtin tool called Seedvault Backup to create and manage encrypted
backups of your phone. No root is needed for the following guide.

## Enabling the backup

Go to your settings menu

Find ```System Settings``` - Tap ```Advanced``` -  Tap ```Backup```.  

Here you should find the ```Seedvault Backup``` Option. If not, got to ```Change Backup Provider```
and tap ```Seedvault Backup```.

Now choose ```Seedvault Backup```.  

Now a list of 12 words should appear. **Write all of the words down carefully**. Make sure you have got them in the right order and store them in a safe place, that is easily accessible to you.

Tap ```Accept Recovery Code```.  
You might be prompted to re-enter the code.  

Next you can choose, where the backup should be stored.  
Usually you have the following options:  

* Your phones internal storage
    * generally not recommended as it fills your storage
    * also your data are lost if the phone is lost
* SD-Card
    * viable option, if you have a large SD-Card
    * if your phone is gone, so are your data
* USB Attached Storage
    * viable option, if you have a large USB Stick or even a drive
        * may need an adapter to work
    * data are stored separately from the phone
* Nextcloud
    * if you have a nextcloud account, this might be a good option
    * very slow for large backups
    * needs a stable internet connection

Once you chose the option best fitting for you.  
Seedvault will prepare the storage location.  

After this is done, the settings screen will pop up.  
For the backup actually being effective, enable ```Backup my data``` (or simillar).
You can choose a few other options as well. I would recommend leaving them at their default (on) as it seems reasonable to me. But choose as you like :)  

It is also possible to choose which apps should be backed up or not. 

Seedvault should now be making backups without further user interaction.

Note: Some apps might not be backed up.
This can happen when:  

* The app was stopped by the user  
* The app was never used  
* The app was used, but reset by user  
* The app does not allow backups  

## Restoring a backup

When you need to restore a backup:

Option 1:  
* open your dialing app  
* enter ```*#*#7378673#*#*```

Option 2:  
* open a note app, or any text field
* enter ```*#*#RESTORE#*#*```
* copy this text
* open your phone app
* paste this text into the dial field  

The recovery dialog should pop up.  
Here you can choose if you want to recover your apps and maybe even your storage.
The restoration may take a while, be patient.  

### Restoring backup from different locations

It seems, there are a few options to restore backups, that were initially from another phone. Check this [Github Issue](https://github.com/seedvault-app/seedvault/issues/85) for a start.
