# Prepare Upgrade
## On your computer

1. Download and install adb & fastboot
   1. Windows
      1. [Download adb & fastboot](https://developer.android.com/studio/releases/platform-tools)
      2. It may be necessary to install USB-Drivers by windwos update [see](https://forum.fairphone.com/t/gerat-wird-im-fastboot-mode-nicht-erkannt-os-flashen/42920/2)
   1. For Linux do `sudo apt install adb fastboot`
2. Download LineageOS .img and .zip files
   1. For the [Fairphone 3](https://download.lineageos.org/FP3)

# Upgrade LineageOS on Fairphone

## 1. Check your prerequisites on your computer
[ ] adb and fastboot are installed on your computer?  
[ ] you downloaded LineageOS (zip)?  
[ ] you have an usb cable ready?  
[ ] your phone has at least 70% battery?   


## 2. Enable USB Debugging

1. Navigate to "Settings - About phone"
1. Tap on “Build number” 7 times to enable developer mode
1. Navigate to "Settings - System – Advanced – Developer options"
1. Enable USB Debugging


## 3. Connect via usb

For upgrade your Fairphone, it needs to be connected to your pc.
1. Connect your computer & Fairphone via usb
1. On your Fairphone allow the usb connection
1. Type `adb devices` on your computer (for Windows users: open the terminal in the directory containing adb&fastboot.exe and use the `.\` prefix. The resulting command will be: `.\adb devices`).   
   The result should show something like   
   ```
   List of devices attached
   <SerialNumberOfYourPhone>	device
   ```


## 4. Upgrade LineageOS

This step is not very dangerous. 
You will loose your desktop layout but your data should stay safe.
The LineageOs boot-loader will verify your binaries.

1. Allow adb to become root: `adb root`
1. Now reboot to recovery image: `adb reboot sideload`.
1. Now upgrade to new LOS version: `adb sideload /path/to/zip`
1. tap on reboot now.


## 5. Post upgrade settings

After upgrade you should check some switches and settings.

1. Setup your desktop layout again.
1. Reactivate Adress- & Calendar-Sync
1. Deny networking without NetGuard to being active
